aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib/python_wrapper.sh
diff options
context:
space:
mode:
authorGravatar Mehrdad Afshari <mmx@google.com>2018-02-07 13:38:27 -0800
committerGravatar Mehrdad Afshari <mmx@google.com>2018-02-07 13:49:00 -0800
commit35bace9b625145469cedb07ef118b6f46722c09f (patch)
tree3495ab6d809c11281fc49d887487c4ff2b602650 /tools/distrib/python_wrapper.sh
parentc6e82b6872173c5297f9949add25e1f1d2e73391 (diff)
Enforce shellcheck on shellscripts under test/
Diffstat (limited to 'tools/distrib/python_wrapper.sh')
-rwxr-xr-xtools/distrib/python_wrapper.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/distrib/python_wrapper.sh b/tools/distrib/python_wrapper.sh
index 9ace915db9..a099b2f11a 100755
--- a/tools/distrib/python_wrapper.sh
+++ b/tools/distrib/python_wrapper.sh
@@ -16,7 +16,7 @@
for p in python2.7 python2.6 python2 python not_found ; do
- python=`which $p || echo not_found`
+ python=$(which $p || echo not_found)
if [ -x "$python" ] ; then
break
@@ -25,7 +25,7 @@ for p in python2.7 python2.6 python2 python not_found ; do
done
if [ -x "$python" ] ; then
- exec $python $@
+ exec "$python" "$@"
else
echo "No acceptable version of python found on the system"
exit 1